### partial_immediate_executor_binder

A function object type that adapts a completion token to specify that the completion handler should have the supplied executor as its associated immediate executor.

    template<
        typename Executor>
    struct partial_immediate_executor_binder

##### Member Functions

Name | Description
--- | ---
operator() | Adapt a completion token to specify that the completion handler should have the executor as its associated immediate executor.
partial_immediate_executor_binder [constructor] | Constructor that specifies associated executor.

##### Data Members

Name | Description
--- | ---
executor_ |

May also be used directly as a completion token, in which case it adapts the asynchronous operation's default completion token (or `deferred` if no default is available).

##### Requirements

Header: `asio/bind_immediate_executor.hpp`

Convenience header: `asio.hpp`